# Uses of Class
org.eclipse.swt.custom.StyledText

Packages that use StyledText
Package
Description
org.eclipse.help.ui.internal
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.codemining
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.inlined
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of StyledText in org.eclipse.help.ui.internal

Subclasses of StyledText in org.eclipse.help.ui.internal
Modifier and Type
Class
Description
`static class`
`ContextHelpDialog.Description`

## Uses of StyledText in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return StyledText
Modifier and Type
Method
Description
`protected StyledText`
TextViewer.`createTextWidget(Composite parent, int styles)`
Factory method to create the text widget to be used as the viewer's text widget.
`StyledText`
ITextViewer.`getTextWidget()`
Returns this viewer's SWT control, `null` if the control is disposed.
`StyledText`
TextViewer.`getTextWidget()`
Methods in org.eclipse.jface.text with parameters of type StyledText
Modifier and Type
Method
Description
`static void`
TextPresentation.`applyTextPresentation(TextPresentation presentation, StyledText text)`
Applies the given presentation to the given text widget.
`static int`
JFaceTextUtil.`computeLineHeight(StyledText styledText, int widgetLine)`
Computes the full line height for the text line corresponding to the given widget line, considering the possible line wrapping.
`static int`
JFaceTextUtil.`computeLineHeight(StyledText textWidget, int startLine, int endLine, int lineCount)`
Computes the line height for the given line range.
`static int`
JFaceTextUtil.`getBottomIndex(StyledText widget)`
Returns the last fully visible line of the widget.
`static int`
JFaceTextUtil.`getHiddenTopLinePixels(StyledText textWidget)`
Returns the number of hidden pixels of the first partially visible line.
`static int`
JFaceTextUtil.`getLineIndex(StyledText textWidget, int y)`
`static int`
JFaceTextUtil.`getLinePixel(StyledText textWidget, int line)`
`static int`
JFaceTextUtil.`getPartialBottomIndex(StyledText widget)`
Returns the index of the last (possibly only partially) visible line of the widget
`static int`
JFaceTextUtil.`getPartialTopIndex(StyledText widget)`
Returns the index of the first (possibly only partially) visible line of the widget
`static boolean`
JFaceTextUtil.`isShowingEntireContents(StyledText widget)`
Returns `true` if the widget displays the entire contents, i.e. it cannot be vertically scrolled.

## Uses of StyledText in org.eclipse.jface.text.codemining

Methods in org.eclipse.jface.text.codemining with parameters of type StyledText
Modifier and Type
Method
Description
`Point`
AbstractCodeMining.`draw(GC gc, StyledText textWidget, Color color, int x, int y)`
Draw the `AbstractCodeMining.getLabel()` of mining with gray color.
`Point`
DocumentFooterCodeMining.`draw(GC gc, StyledText textWidget, Color color, int x, int y)`
`Point`
ICodeMining.`draw(GC gc, StyledText textWidget, Color color, int x, int y)`
Draw the code mining.
`Point`
LineHeaderCodeMining.`draw(GC gc, StyledText textWidget, Color color, int x, int y)`

## Uses of StyledText in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type StyledText
Modifier and Type
Method
Description
`void`
AnnotationPainter.IDrawingStrategy.`draw(Annotation annotation, GC gc, StyledText textWidget, int offset, int length, Color color)`
Draws a decoration for an annotation onto the specified GC at the given text range.
`void`
AnnotationPainter.NullStrategy.`draw(Annotation annotation, GC gc, StyledText textWidget, int offset, int length, Color color)`
`void`
AnnotationPainter.SquigglesStrategy.`draw(Annotation annotation, GC gc, StyledText textWidget, int offset, int length, Color color)`
Deprecated.

## Uses of StyledText in org.eclipse.jface.text.source.inlined

Methods in org.eclipse.jface.text.source.inlined that return StyledText
Modifier and Type
Method
Description
`StyledText`
AbstractInlinedAnnotation.`getTextWidget()`
Returns the `StyledText` widget where the annotation must be drawn.
Methods in org.eclipse.jface.text.source.inlined with parameters of type StyledText
Modifier and Type
Method
Description
`void`
AbstractInlinedAnnotation.`draw(GC gc, StyledText textWidget, int widgetOffset, int length, Color color, int x, int y)`
Draw the inlined annotation.
`final void`
LineContentAnnotation.`draw(GC gc, StyledText textWidget, int offset, int length, Color color, int x, int y)`
Draw the inlined annotation.
`protected int`
LineContentAnnotation.`drawAndComputeWidth(GC gc, StyledText textWidget, int offset, int length, Color color, int x, int y)`
Draw the inlined annotation.

## Uses of StyledText in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type StyledText
Modifier and Type
Method
Description
`static void`
BidiUtils.`applyBidiProcessing(StyledText field, String handlingType)`
Applies bidi processing to the given styled text field.

## Uses of StyledText in org.eclipse.swt.custom

Methods in org.eclipse.swt.custom with parameters of type StyledText
Modifier and Type
Method
Description
`static void`
StyledText.`updateAndRefreshCarets(StyledText styledText, Consumer<Caret> caretUpdater)`
The method accepts a StyledText and a callback which takes all the carets of the StyledText as the argument and executes it.
Constructors in org.eclipse.swt.custom with parameters of type StyledText
Modifier
Constructor
Description
``
`StyledTextDropTargetEffect(StyledText styledText)`
Creates a new `StyledTextDropTargetEffect` to handle the drag under effect on the specified `StyledText`.

## Uses of StyledText in org.eclipse.ui.actions

Methods in org.eclipse.ui.actions with parameters of type StyledText
Modifier and Type
Method
Description
`protected Point`
QuickMenuCreator.`computeMenuLocation(StyledText text)`
Hook to compute the menu location if the focus widget is a styled text widget.

## Uses of StyledText in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return StyledText
Modifier and Type
Method
Description
`protected StyledText`
TextNavigationAction.`getTextWidget()`
Returns the text widget this actions is bound to.
Constructors in org.eclipse.ui.texteditor with parameters of type StyledText
Modifier
Constructor
Description
``
`LineEndAction(StyledText textWidget, boolean doSelect)`
Create a new line end action.
``
`LineStartAction(StyledText textWidget, boolean doSelect)`
Creates a new line start action.
``
`TextNavigationAction(StyledText textWidget, int action)`
Creates a new `TextNavigationAction`.